package cc.smtweb.system.bpm.test;

import cc.smtweb.framework.core.CoreApplication;
import cc.smtweb.framework.core.R;
import cc.smtweb.framework.core.SwMap;
import cc.smtweb.framework.core.annotation.SwParam;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.framework.core.util.SpringUtil;
import cc.smtweb.system.bpm.spring.BpmApplication;
import cc.smtweb.system.bpm.web.engine.DynPageService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by Akmm at 2022/4/26 9:46
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = BpmApplication.class)
public class ModelFormTest {
    @Test
    public void testLoad() {
        SwMap params = new SwMap();
        params.put("pageId", 1);
        params.put("dataset", "modelProject");
        Map<String, Object> filter = new HashMap<>();
        filter.put("prj_name", "测试");
        params.put("filter", filter);
        DynPageService service = new DynPageService();
        R r = service.load(params, null);
        System.out.println(r.readSuccess());
    }
}
